include ../../components/visualizar/endereco
include ../../components/visualizar/pessoaJuridica
include ../../components/visualizar/pessoaFisica
include ../../components/visualizar/contato
include ../../components/visualizar/pessoas

div#modalVisualizar.modalEmpreendimento.modal.fade

	div.modal-dialog.modal-lg

		div.modal-content

			div.modal-header
				button.close.pull-right(type="button", data-dismiss="modal")
					i.material-icons close
				h2.modal-title(id="modal-title") Visualização de empreendimento

			div.modal-body(id="modal-body")

				div.panel.panel-default(ng-if="empreendimento.pessoa.tipo.codigo == constantes.CODIGO_PESSOA_FISICA")

					div.panel-heading

						h3.panel-title

							a.accordion-toggle(data-toggle="collapse", data-target="#empreendimento", data-parent="#empreendimento") Empreendimento

					div.modalVisualizar.panel-collapse.collapse.in(id="empreendimento")

						div.panel-body

							.row.linhaVisualizar
								.col-sm-12
									Strong Denominacao:
									span(ng-bind='empreendimento.denominacao')

							+pessoaFisica("empreendimento.pessoa","empreendimento.denominacao")

				div.panel.panel-default(ng-if="empreendimento.pessoa.tipo.codigo == constantes.CODIGO_PESSOA_JURIDICA")

					div.panel-heading

						h3.panel-title

							a.accordion-toggle(data-toggle="collapse", data-target="#empreendimento", data-parent="#empreendimento") Empreendimento

					div.modalVisualizar.panel-collapse.collapse.in(id="empreendimento")

						div.panel-body

							.row.linhaVisualizar
								.col-sm-6
									Strong Denominacao:
									span(ng-bind='empreendimento.denominacao')

							+pessoaJuridica("empreendimento.pessoa","empreendimento.denominacao")

				div.panel.panel-default

					div.panel-heading

						h3.panel-title

							a.accordion-toggle(data-toggle="collapse", data-target="#contatosEmpreendimentoVisualizar", data-parent="#contatosEmpreendimentoVisualizar") Contatos

					div.modalVisualizar.panel-collapse.collapse.in(id="contatosEmpreendimentoVisualizar")

						div.panel-body

							+contato("empreendimento.contatos", "classRuleContatos")

				div.panel.panel-default

					div.panel-heading

						h3.panel-title

							a.accordion-toggle(data-toggle="collapse", data-target="#enderecoPrincipalEmpreendimentoVisualizar", data-parent="#enderecoPrincipalEmpreendimentoVisualizar") Endereço principal

					div.modalVisualizar.panel-collapse.collapse.in(id="enderecoPrincipalEmpreendimentoVisualizar")

						div.panel-body

							+endereco("enderecoPrincipal", "false")

				div.panel.panel-default

					div.panel-heading

						h3.panel-title

							a.accordion-toggle(data-toggle="collapse", data-target="#enderecoCorrespondenciaEmpreendimentoVisualizar", data-parent="#enderecoCorrespondenciaEmpreendimentoVisualizar") Endereço de correspondência

					div.modalVisualizar.panel-collapse.collapse.in(id="enderecoCorrespondenciaEmpreendimentoVisualizar")

						div.panel-body

							+endereco("enderecoCorrespondencia", "true")

				div.panel.panel-default

					div.panel-heading

						h3.panel-title

							a.accordion-toggle(data-toggle="collapse", data-target="#localizacao", data-parent="#localizacao") Localização

					div.modalVisualizar.panel-collapse.collapse.in(id="localizacao")

						div.panel-body.no-padding

							#mapa

				div.panel.panel-default

					div.panel-heading

						h3.panel-title

							a.accordion-toggle(data-toggle="collapse", data-target="#proprietarios", data-parent="#proprietarios") Proprietários

					div.modalEsconder.panel-collapse.collapse#proprietarios

						div.panel-body

							+pessoas("empreendimento.proprietarios", "true", "true")

							center
								span(ng-if="empreendimento.proprietarios.length === 0")
									| Não existem proprietários vinculados a este empreendimento.

				div.panel.panel-default

					div.panel-heading

						h3.panel-title

							a.accordion-toggle(data-toggle="collapse", data-target="#representantesLegais", data-parent="#representantesLegais") Representantes legais

					div.modalEsconder.panel-collapse.collapse#representantesLegais

						div.panel-body

							+pessoas("empreendimento.representantesLegais", "false", "true")

							center
								span(ng-if="empreendimento.representantesLegais.length === 0")
									| Não existem representantes legais vinculados a este empreendimento.

				div.panel.panel-default

					div.panel-heading

						h3.panel-title

							a.accordion-toggle(data-toggle="collapse", data-target="#responsaveisLegais", data-parent="#responsaveisLegais") Responsáveis legais

					div.modalEsconder.panel-collapse.collapse#responsaveisLegais

						div.panel-body

							+pessoas("empreendimento.responsaveisLegais", "false", "true")

							center
								span(ng-if="empreendimento.responsaveisLegais.length === 0")
									| Não existem responsáveis legais vinculados a este empreendimento.

				div.panel.panel-default

					div.panel-heading

						h3.panel-title

							a.accordion-toggle(data-toggle="collapse", data-target="#responsaveisTecnicos", data-parent="#responsaveisTecnicos") Responsáveis técnicos

					div.modalEsconder.panel-collapse.collapse#responsaveisTecnicos

						div.panel-body

							+pessoas("empreendimento.responsaveisTecnicos","true", "true")

							center
								span(ng-if="empreendimento.responsaveisTecnicos.length === 0")
									| Não existem responsáveis técnicos vinculados a este empreendimento.
			div.modal-footer.padding-modal-footer
				div
					button.btn.btn-default.btn-raised.pull-right(type='button', ng-click="fecharModal('modalVisualizar')") Fechar